Delete Agent by ID
curl --request DELETE \
--url https://agent-prod.studio.lyzr.ai/v3/agents/{agent_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://agent-prod.studio.lyzr.ai/v3/agents/{agent_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://agent-prod.studio.lyzr.ai/v3/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Agent deleted successfully."
}Agents
Delete Agent Endpoint
Deletes an agent from the system using its unique agent_id.
DELETE
/
agents
/
{agent_id}
Delete Agent by ID
Endpoint
DELETE/v3/agents/{agent_id}
Authentication
- Requires an API key (
x-api-key) in the request headers.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
agent_id | string | Unique identifier of the agent to delete. |
Request Example (cURL)
curl -X DELETE "https://agent-prod.studio.lyzr.ai/v3/agents/{agent_id}" ^
-H "accept: application/json" ^
-H "x-api-key: sk-default-REPLACED-API-KEY"
Response Example
{
"message": "Agent deleted successfully."
}
⌘I